package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;
import org.openqa.selenium.WebElement;
import java.util.concurrent.TimeUnit;

public class AgenciaPage extends PageBase {


    //Navegar até a tela banco

    By Financeiro = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section[2]/section/header/div/div/ul/li[1]/label/a");
    By MENU = By.xpath("//div[@class='bars']");
    By BotaoProcurar = By.xpath("/html/body/span/section/section/div[2]/section[1]/div/aside/div[1]/section/input");

    By Agencia =  By.xpath("//*[text() = 'Agência']");
    By CampoBanco = By.cssSelector("#NMBANCO");
    By OpcaoCampoBanco =   By.xpath("//*[text() = '001 | BANCO DO BRASIL']");

    By AplicarFiltro = By.cssSelector("#footer > div.zh-footer-right > ul > li > a > span");
    By ClicarAdcionar = By.xpath("//*[@id=\"footer\"]/div[2]/ul/li/a/div");

    By CDAGENCIA = By.cssSelector("#CDAGENCIA");
    By NMAGENCIA = By.cssSelector("#NMAGENCIA");
    By NRCGCAGEN = By.cssSelector("#NRCGCAGEN");
    By NRCEPAGEN = By.cssSelector("#NRCEPAGEN");
    By NRFONEAGEN = By.cssSelector("#NRFONEAGEN");
    By NRFAXAGEN = By.cssSelector("#NRFAXAGEN");

    By OK =   By.xpath("//*[text() = 'OK']");
    By Salvar = By.xpath("//*[@id=\"footer\"]/div[3]/ul/li/a/span");

    public void NavegarParaAgencia(String Procurar) {
        waitForElement(Financeiro);
        waitForElement(MENU);
        click(MENU);
        click(BotaoProcurar);
        clear(BotaoProcurar);
        sendKeys(BotaoProcurar, Procurar);
        click(Agencia);
    }

    public void Filtro() {
        waitForElement(CampoBanco);
        click(CampoBanco);
        click(OpcaoCampoBanco);
        click(AplicarFiltro);
    }

    public void AdicionarAgencia(String NumeroCDAGENCIA, String NomeNMAGENCIA, String NumeroNRCGCAGEN, String CepNumeroNRCGCAGEN, String Telefone, String Fax) {
        waitForElement(ClicarAdcionar);
        click(ClicarAdcionar);

        click(CDAGENCIA);
        clear(CDAGENCIA);
        sendKeys(CDAGENCIA, NumeroCDAGENCIA);

        click(NMAGENCIA);
        clear(NMAGENCIA);
        sendKeys(NMAGENCIA, NomeNMAGENCIA);

        click(NRCGCAGEN);
        clear(NRCGCAGEN);
        sendKeys(NRCGCAGEN, NumeroNRCGCAGEN);
        waitForElement(OK);
        click(OK);

        click(NRCEPAGEN);
        clear(NRCEPAGEN);
        sendKeys(NRCEPAGEN, CepNumeroNRCGCAGEN);

        driver.manage().timeouts().implicitlyWait(10, TimeUnit.SECONDS);

        click(NRFONEAGEN);
        clear(NRFONEAGEN);
        sendKeys(NRFONEAGEN, Telefone);

        click(NRFAXAGEN);
        clear(NRFAXAGEN);
        sendKeys(NRFAXAGEN, Fax);

        click(Salvar);

    }

    public void AlertaUsuario() throws InterruptedException {
        this.driver.manage().timeouts().implicitlyWait(1, TimeUnit.MINUTES);
        driver.findElement(By.cssSelector("body > span > section > section > div.default-window > aside:nth-child(5) > aside > section > footer > button:nth-child(1)")).click();
    }

}
