package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.ContaContabilExcluirFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.flows.ContaContabilExcluirFlows;
import com.javaseleniumtemplate.pages.ContaContabilExcluirPage;
import com.javaseleniumtemplate.pages.LoginPage;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.ParametroContabilExcluirPage;
import org.testng.Assert;
import org.testng.annotations.Test;
public class ContaContabilExcluir extends TestBase {

    // Objetos

    MainPage mainPage;
    LoginPage loginPage;
    MainFlows MainFlows;
    com.javaseleniumtemplate.flows.ContaContabilExcluirFlows ContaContabilExcluirFlows;
    com.javaseleniumtemplate.pages.ContaContabilExcluirPage ContaContabilExcluirPage;

    @Test
    public void efetuarLoginComSucesso() throws InterruptedException {

        //Objetos Instanciados

        mainPage = new MainPage();
        loginPage = new LoginPage();
        MainFlows = new MainFlows();
        ContaContabilExcluirFlows = new ContaContabilExcluirFlows();
        ContaContabilExcluirPage = new ContaContabilExcluirPage();

        // Dados - Login

        String Usuario = "operador24@AUTOMACAO_2184.com";
        String Senha = "apresentacao";


        loginPage.preenhcerUsuario(Usuario);
        loginPage.preencherSenha(Senha);
        loginPage.clicarEmLogin();

        // Aguardar Botão de Confirmação(Alerta: Sim)
        ContaContabilExcluirPage.AlertaUsuario();

        // Navegar até Conta Contábil
        MainFlows.navegarContaContabil();

        ContaContabilExcluirPage.NavegarUltimaContaContabil();

        ContaContabilExcluirPage.ExcluirConta6110100100001();

        ContaContabilExcluirPage.ExcluirConta61101001();

        ContaContabilExcluirPage.ExcluirConta61101();

        ContaContabilExcluirPage.ExcluirConta611();

        ContaContabilExcluirPage.ExcluirContaConta61();

        ContaContabilExcluirPage.ExcluirContaConta6();




    }
}
