package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.ContaCorrenteFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.flows.ContaCorrenteFlows;
import com.javaseleniumtemplate.pages.ContaCorrentePage;
import com.javaseleniumtemplate.pages.LoginPage;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.ContaCorrentePage;
import org.testng.Assert;
import org.testng.annotations.Test;

public class ContaCorrente extends TestBase {

    // Objetos

    MainPage mainPage;
    LoginPage loginPage;
    MainFlows MainFlows;
    com.javaseleniumtemplate.flows.ContaCorrenteFlows ContaCorrenteFlows;
    com.javaseleniumtemplate.pages.ContaCorrentePage ContaCorrentePage;

    // Teste

    @Test
    public void efetuarLoginComSucesso() throws InterruptedException {

        //Objetos Instanciados

        mainPage = new MainPage();
        loginPage = new LoginPage();
        MainFlows = new MainFlows();
        ContaCorrenteFlows = new ContaCorrenteFlows();
        ContaCorrentePage = new ContaCorrentePage();

        // Dados - Login

        String Usuario = "operador24@AUTOMACAO_2184.com";
        String Senha = "apresentacao";

        //Navegar
        String Procurar = "Conta Corrente";
        String CodigoReduzidoCCC = "Z66";
        String NumeroCCC = "1234567";

        String DescricaoCCC = "Conta usada para Teste";

        String DTSDOCCORR = "01/01/2023";
        String VRSDOIMPLA = "1000";

        String DATAINICIALEvolucao = "01/01/2023";


        loginPage.preenhcerUsuario(Usuario);
        loginPage.preencherSenha(Senha);
        loginPage.clicarEmLogin();

        // Aguardar Botão de Confirmação(Alerta: Sim)
        ContaCorrentePage.AlertaUsuario();

        //Navegar até ContaCorrente
        ContaCorrentePage.NavegarParaContaCorrente(Procurar);

        //Filtro
         ContaCorrentePage.Filtro();

        //Adicionar Conta
        ContaCorrentePage.AdicionarConta(CodigoReduzidoCCC, NumeroCCC, DescricaoCCC);

        //Implantação de Saldo
        ContaCorrentePage.ImplantacaoSaldo(DTSDOCCORR, VRSDOIMPLA);

        //Evoluir Saldo
        ContaCorrentePage.EvoluirSaldo(DATAINICIALEvolucao);


    }
}